Name:          python-appdirs
Version:       1.4.4
Release:       2mamba
Summary:       A small Python module for determining appropriate platform-specific dirs, e.g. a "user data dir"
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://pypi.org/project/appdirs/
Source:        https://pypi.debian.net/appdirs/appdirs-%{version}.tar.gz
License:       MIT
## AUTOBUILDREQ-BEGIN
BuildRequires: libpython3-devel
## AUTOBUILDREQ-END
BuildRequires: libpython3-devel

%description
%{summary}.

%if 0%{?with_pyver}
%pyver_package
%endif

%prep
%setup -q -n appdirs-%{version}

%build
CFLAGS="%{optflags}" %{__python} setup.py build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} setup.py install \
   -O1 --skip-build \
   --root="%{buildroot}" \
   --install-headers=%{python_inc} \
   --install-lib=%{python_sitearch} \
   --record=%{name}.filelist

sed -i "\,\.egg-info/,d;s,.*/man/.*,&.gz," %{name}.filelist

%files %{?pyappend} -f %{name}.filelist
%defattr(-,root,root)
%dir %{python_sitearch}/appdirs-%{version}-py*.egg-info
%{python_sitearch}/appdirs-%{version}-py*.egg-info/*

%changelog
* Tue Aug 01 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 1.4.4-2mamba
- rebuilt with python 3.10

* Tue Jan 11 2022 Automatic Build System <autodist@mambasoft.it> 1.4.4-1mamba
- automatic version update by autodist

* Fri May 08 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 1.4.3-1mamba
- package created using the webbuild interface
